> ## Documentation Index
> Fetch the complete documentation index at: https://docs.oppiwallet.com/llms.txt
> Use this file to discover all available pages before exploring further.

# All Transactions

> This API is used for get all transactions with status. Status : 0=Pending, 1=Completed, 2=Failed

## Authentication

<ParamField header="signatureToken" type="string" required>
  A JWT token required for API authentication.
  Generate JWT token as explained in section <a href="/en/authentication/generate-jwt-token">Generate JWT Token</a> using empty string.
</ParamField>

## Headers

<ParamField header="Content-Type" type="string" required>
  Must be set to `application/json`.
</ParamField>

## Request

No request body is required for this endpoint.

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url https://doc-api.oppiwallet.com/api/v1/transactions \
    --header 'signatureToken: eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...' \
    --header 'Content-Type: application/json'
  ```

  ```javascript JavaScript theme={null}
  const axios = require('axios');

  let config = {
    method: 'get',
    maxBodyLength: Infinity,
    url: 'https://doc-api.oppiwallet.com/api/v1/transactions',
    headers: { 
      'signatureToken': 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1cmkiOiJjcmVhdGVUcmFuc2FjdGlvblJlcXVlc3QiLCJpYXQiOjE3MTUxNTM2NTQsImV4cCI6MTcxNTE1MzcwOSwia2V5Ijoicmh0TmJELU9yTFQteFp3M3QtMkpFWnR4Iiwic2lnbmF0dXJlU3RyaW5nIjoiMWVjY2M1NDc0YWZiMzU4NDExNDEzNjBkOGQ0MDBlMWYxOWIzNRjYzVkM2YxNTRjNmQ5YjViNSJ9.JuF7d8Oc4EyMvm7s5g3CN9L9Wbl_TFI_yO8jt20dvHw',
      'Content-Type': 'application/json'
    }
  };

  axios.request(config)
    .then((response) => {
      console.log(JSON.stringify(response.data));
    })
    .catch((error) => {
      console.log(error);
    });
  ```

  ```python Python theme={null}
  import requests

  url = "https://doc-api.oppiwallet.com/api/v1/transactions"

  headers = {
      "signatureToken": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...",
      "Content-Type": "application/json"
  }

  response = requests.get(url, headers=headers)
  print(response.json())
  ```

  ```go Go theme={null}
  package main

  import (
  	"fmt"
  	"net/http"
  	"io/ioutil"
  )

  func main() {
  	url := "https://doc-api.oppiwallet.com/api/v1/transactions"

  	req, _ := http.NewRequest("GET", url, nil)
  	req.Header.Add("signatureToken", "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...")
  	req.Header.Add("Content-Type", "application/json")

  	res, _ := http.DefaultClient.Do(req)
  	defer res.Body.Close()
  	body, _ := ioutil.ReadAll(res.Body)

  	fmt.Println(string(body))
  }
  ```

  ```php PHP theme={null}
  <?php
  $curl = curl_init();

  curl_setopt_array($curl, [
    CURLOPT_URL => "https://doc-api.oppiwallet.com/api/v1/transactions",
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_ENCODING => "",
    CURLOPT_MAXREDIRS => 10,
    CURLOPT_TIMEOUT => 30,
    CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
    CURLOPT_CUSTOMREQUEST => "GET",
    CURLOPT_HTTPHEADER => [
      "signatureToken: eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...",
      "Content-Type: application/json"
    ],
  ]);

  $response = curl_exec($curl);
  $err = curl_error($curl);

  curl_close($curl);

  if ($err) {
    echo "cURL Error #:" . $err;
  } else {
    echo $response;
  }
  ?>
  ```
</RequestExample>

## Response

Returns an array of transaction objects.

<ResponseField name="transactionId" type="string" required>
  Unique identifier for the transaction.
</ResponseField>

<ResponseField name="receiverAddress" type="string" required>
  The address where funds were sent.
</ResponseField>

<ResponseField name="depositAddress" type="string" required>
  The address where funds were deposited.
</ResponseField>

<ResponseField name="orderId" type="string" required>
  The order ID reference for the transaction.
</ResponseField>

<ResponseField name="tag" type="string">
  Tag associated with the transaction, if any.
</ResponseField>

<ResponseField name="currency" type="string" required>
  The cryptocurrency used in the transaction.
</ResponseField>

<ResponseField name="amount" type="string" required>
  The transaction amount.
</ResponseField>

<ResponseField name="callbackStatus" type="number" required>
  Status of the callback.
</ResponseField>

<ResponseField name="createdAt" type="string" required>
  Timestamp when the transaction was created.
</ResponseField>

<ResponseField name="status" type="number" required>
  Status of the transaction. 0=Pending, 1=Completed, 2=Failed
</ResponseField>

<ResponseExample>
  ```json 200 OK theme={null}
  [
    {
      "transactionId": "03ea5d69-9ebf-4bfc-9b77-3aec6a6784d6",
      "receiverAddress": "0xAB710B08A....E02421Ff9Ef231Ee212",
      "depositAddress": "0xd5350F580....2bC925a07091b443732",
      "orderId": "ORDER_1",
      "tag": "",
      "currency": "ETH",
      "amount": "0.01",
      "callbackStatus": 0,
      "createdAt": "2024-05-09T06:05:20.087Z",
      "status": 0
    }
  ]
  ```

  ```json 400 Bad Request theme={null}
  {
    "message": "Error message"
  }
  ```
</ResponseExample>
